Get Your Game On

Thanks to user Talravan, DSiCade now has new games!

What's truly amazing is that we're not just talking about one new game. Not even two new games. But an amazing three new games in one update, from one author!

Here's a quick rundown:

HANGMAN: Guess the letters of the hidden word. But be careful! A wrong guess could cost a stickman his life...

SUDOKU: The ever popular puzzle game from your Sunday newspaper is back on your DSi! Correctly align the numbers without repeats to win!

PUZZLE: A simple, yet challenging puzzle game. Align the pieces to reveal the picture hidden in the jumble.

Special thanks to Talravan for all his hard work. If you see him, make sure you tell him how much we love his new games! :-D

--thewiirocks 06/06/2009